<% if @report_custom_templates.blank? %>
  <p style='text-align: center; font-weight: bold; color:red;'><em>Please upload a custom report template above to enable custom report generation.</em></p>
  <script>
      jQuery(function($) {
          $('#report_wrapper').hide();
      });
  </script>
<% else %>
    <%= f.input :report_type, :value => 'custom', :as => :hidden %>
    <%= f.inputs 'Custom Report Template' do %>
        <%= f.input :report_template,
                    :include_blank => false,
                    :collection => @report_custom_templates,
                    :as => 'select',
                    :member_value => Proc.new {|t| t.file_path },
                    :member_label => Proc.new {|t| t.name} %>

        <%= f.help_link :report_template do %>
            <h3>Custom report template</h3>
            <p>Select an uploaded custom template for generation.</p>
        <% end %>
    <% end %>
<% end %>
